Subject: Re: linux-next: Tree for Sep 19 (make htmldocs problem)

From: Jonathan Corbet <[email-masked]>
Date: Sun, 21 Sep 2025 14:44:48 -0600

Mauro Carvalho Chehab <[email-masked]> writes:

> do you know what is this "alts" file? Is it a custom script or
> binary?

It's the alternatives mechanism that openSUSE uses.  I have no idea why
they felt the need to employ it for Sphinx, but they did, so we need to
work with that kind of configuration.  Meaning, really, I think we have
to just invoke sphinx-build directly rather than trying to control which
version of Python it may ultimately get.

jon